Bug 595031 - Unknown X event type: 105
Summary: Unknown X event type: 105
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeglut
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-22 23:29 UTC by Sandro Mani
Modified: 2010-06-08 19:36 UTC (History)
3 users (show)

Fixed In Version: freeglut-2.6.0-5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 19:36:50 UTC


Attachments (Terms of Use)

Description Sandro Mani 2010-05-22 23:29:25 UTC
Description of problem:
Freeglut does not know about X event 105

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64
freeglut-2.6.0-3.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run any application using freeglut
2.
3.
  
Actual results:
At each main loop iteration, Unknown X event type: 105 is outputted to the console

Expected results:


Additional info:
Appears to be an event type added in xserver 1.8, freeglut did not complain with xserver 1.7.x.

Comment 1 Fedora Update System 2010-05-31 09:21:12 UTC
freeglut-2.6.0-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/freeglut-2.6.0-5.fc13

Comment 2 Fedora Update System 2010-05-31 18:21:02 UTC
freeglut-2.6.0-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freeglut'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/freeglut-2.6.0-5.fc13

Comment 3 Fabien Archambault 2010-06-02 13:30:48 UTC
The update solved the problem for me. Thanks.

Comment 4 Fedora Update System 2010-06-08 19:36:40 UTC
freeglut-2.6.0-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.